Loading...
Searching...
No Matches
nf Union Reference

## Public Member Functions

| nf (SI_FLOAT f)
| nf (number n)
SI_FLOAT | F () const
number | N () const
| nf (SI_FLOAT f)
| nf (number n)
SI_FLOAT | F () const
number | N () const

## Data Fields

SI_FLOAT | _f
number | _n

## Detailed Description

Definition at line 24 of file gnumpfl.cc.

## Constructor & Destructor Documentation

## nf() [1/4]

nf::nf | ( | SI_FLOAT | f | ) |

inline

Definition at line 28 of file gnumpfl.cc.

{_f = f;}
f
FILE * f
Definition checklibs.c:9
nf::_f
SI_FLOAT _f
Definition gnumpfl.cc:26

## nf() [2/4]

nf::nf | ( | number | n | ) |

inline

Definition at line 29 of file gnumpfl.cc.

{_n = n;}
nf::_n
number _n
Definition gnumpfl.cc:27

## nf() [3/4]

nf::nf | ( | SI_FLOAT | f | ) |

inline

Definition at line 37 of file shortfl.cc.

: _f(f){};

## nf() [4/4]

nf::nf | ( | number | n | ) |

inline

Definition at line 39 of file shortfl.cc.

: _n(n){};

## Member Function Documentation

## F() [1/2]

SI_FLOAT nf::F | ( |  | ) | const

inline

Definition at line 30 of file gnumpfl.cc.

{return _f;}

## F() [2/2]

SI_FLOAT nf::F | ( |  | ) | const

inline

Definition at line 41 of file shortfl.cc.

{return _f;}

## N() [1/2]

number nf::N | ( |  | ) | const

inline

Definition at line 31 of file gnumpfl.cc.

{return _n;}

## N() [2/2]

number nf::N | ( |  | ) | const

inline

Definition at line 42 of file shortfl.cc.

{return _n;}

## Field Documentation

## _f

SI_FLOAT nf::_f

Definition at line 26 of file gnumpfl.cc.

## _n

number nf::_n

Definition at line 27 of file gnumpfl.cc.

The documentation for this union was generated from the following files:

- libpolys/coeffs/gnumpfl.cc
- libpolys/coeffs/shortfl.cc